Package com.independentsoft.graph.teams

# Class NetworkInfo

java.lang.Object
com.independentsoft.graph.teams.NetworkInfo

public class NetworkInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkInfo()`
  `NetworkInfo​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getBandwidthLowEventRatio()`
  `String`
  `getBasicServiceSetIdentifier()`
  `NetworkConnectionType`
  `getConnectionType()`
  `float`
  `getDelayEventRatio()`
  `String`
  `getIpAddress()`
  `long`
  `getLinkSpeed()`
  `String`
  `getMacAddress()`
  `String`
  `getNetworkTransportProtocol()`
  `int`
  `getPort()`
  `float`
  `getReceivedQualityEventRatio()`
  `String`
  `getReflexiveIPAddress()`
  `String`
  `getRelayIPAddress()`
  `int`
  `getRelayPort()`
  `float`
  `getSentQualityEventRatio()`
  `String`
  `getSubnet()`
  `WifiBand`
  `getWifiBand()`
  `int`
  `getWifiBatteryCharge()`
  `int`
  `getWifiChannel()`
  `String`
  `getWifiMicrosoftDriver()`
  `String`
  `getWifiMicrosoftDriverVersion()`
  `String`
  `getWifiRadioType()`
  `int`
  `getWifiSignalStrength()`
  `String`
  `getWifiVendorDriver()`
  `String`
  `getWifiVendorDriverVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NetworkInfo

    public NetworkInfo()

  - ### NetworkInfo

    public NetworkInfo​(JsonObject jsonObject)

- ## Method Details

  - ### getConnectionType

    public NetworkConnectionType getConnectionType()

  - ### getDelayEventRatio

    public float getDelayEventRatio()

  - ### getIpAddress

    public String getIpAddress()

  - ### getSubnet

    public String getSubnet()

  - ### getLinkSpeed

    public long getLinkSpeed()

  - ### getMacAddress

    public String getMacAddress()

  - ### getPort

    public int getPort()

  - ### getReceivedQualityEventRatio

    public float getReceivedQualityEventRatio()

  - ### getReflexiveIPAddress

    public String getReflexiveIPAddress()

  - ### getRelayIPAddress

    public String getRelayIPAddress()

  - ### getRelayPort

    public int getRelayPort()

  - ### getSentQualityEventRatio

    public float getSentQualityEventRatio()

  - ### getBandwidthLowEventRatio

    public float getBandwidthLowEventRatio()

  - ### getBasicServiceSetIdentifier

    public String getBasicServiceSetIdentifier()

  - ### getNetworkTransportProtocol

    public String getNetworkTransportProtocol()

  - ### getWifiBand

    public WifiBand getWifiBand()

  - ### getWifiBatteryCharge

    public int getWifiBatteryCharge()

  - ### getWifiChannel

    public int getWifiChannel()

  - ### getWifiMicrosoftDriver

    public String getWifiMicrosoftDriver()

  - ### getWifiMicrosoftDriverVersion

    public String getWifiMicrosoftDriverVersion()

  - ### getWifiRadioType

    public String getWifiRadioType()

  - ### getWifiSignalStrength

    public int getWifiSignalStrength()

  - ### getWifiVendorDriver

    public String getWifiVendorDriver()

  - ### getWifiVendorDriverVersion

    public String getWifiVendorDriverVersion()